<?php

/*
German Translation File
Author: Hendrik Mundt
Email: hexol@emulemods.de
*/

define("INSLAN1", "Installations-Schritt");
define("INSLAN2", "PHP / Prfung der mySQL-Version / Prfung der Datei-Berechtigungen");
define("INSLAN3", "PHP-Version");
define("INSLAN4", "Fehler");
define("INSLAN5", "<b>Sie benutzen eine PHP-Version, die nicht kompatibel mit e107 ist<br />(e107 bentigt mindestens Version 4.1.0).</b><br /><br />Wenn Sie einen lokalen Server auf Ihrem Rechner verwenden, mssen Sie Ihre PHP-Version<br />aktualisieren, um fortzufahren. Siehe <a href='http://php.net'>php.net</a> fr Informationen. Wenn Sie ver-<br />suchen, e107 auf einem gehosteten Server zu installieren, mssen Sie<br />den Server-Administrators bitten, die PHP-Installation fr Sie zu aktualisieren.<br />Bitte fhren Sie dieses Skript erneut aus, nachdem Sie Ihre PHP-Version erneuert haben.");
define("INSLAN6", "Skript angehalten.");
define("INSLAN7", "OK");
define("INSLAN8", "mySQL-Version");
define("INSLAN9", "<b>e107 konnte die mySQL-Version nicht ermitteln.</b><br /><br /> Das knnte bedeuten, dass mySQL nicht installiert ist, momentan nicht ausgefhrt wird,<br />oder dass die ausgefhrte Version die Versions-Nummer nicht korrekt zurckliefert<br />(v5.x ist bekannt fr dieses Problem). Wenn der nchste Installationsschritt<br />fehlschlgt, mssen Sie den Status Ihrer mySQL-Installation berprfen.");
define("INSLAN10", "Datei-Berechtigungen");
define("INSLAN11", "hat keine Schreibrechte");
define("INSLAN12", "Verzeichnis hat keine Schreibrechte");
define("INSLAN13", "Bitte vergewissern Sie sich, dass die Berechtigungen fr die o.g. Dateien auf<br />Ihrem Server richtig gesetzt sind, die Berechtigungen sollten auf 777 gesetzt sein.<br />Um die Berechtigungen zu setzen, rechtsklicken Sie auf die Datei in Ihrem FTP-Client<br />und whlen Sie <i>Chmod</i> oder <i>Set File Permissions</i>, dann geben Sie <i>777</i> ein.<br />Wenn das nun erscheinende Dialogfenster Checkboxen besitzt, dann aktivieren Sie alle.<br /><br />Bitte testen Sie nach dem Setzen der Datei-Berechtigungen diese erneut.");
define("INSLAN14", "e107 wird installiert");
define("INSLAN15", "SCHWERWIEGENDER FEHLER");
define("INSLAN16", "Obwohl es nicht mglich war, den Zustand Ihrer mySQL-Installation festzustellen,<br />fahren Sie bitte mit dem nchsten Installations-Schritt fort.");
define("INSLAN17", "Weiter");
define("INSLAN18", "Berechtigungen erneut prfen");
define("INSLAN19", "Alle Server-Tests wurden durchgefhrt. Bitte klicken Sie auf den Knopf, um mit der Installation fortzufahren");
define("INSLAN20", "mySQL-Informationen");
define("INSLAN21", "Bitte geben Sie hier Ihre mySQL-Einstellungen an.<br />Falls Sie Root-Rechte besitzen, knnen Sie eine neue Datenbank anlegen, indem Sie die Checkbox aktivieren,<br />falls nicht, mssen Sie eine neue Datenbank anlegen oder eine vorhandene verwenden.<br />Sollten Sie nur eine Datenbank besitzen, dann benutzen Sie das Tabellen-Prfix, damit auch andere<br />Skripte die Datenbank verwenden knnen.<br />Wenn Sie Ihre mySQL-Daten nicht kennen, dann wenden Sie sich bitte an Ihren Hoster.");
define("INSLAN22", "mySQL-Server");
define("INSLAN23", "mySQL-Benutzer");
define("INSLAN24", "mySQL-Passwort");
define("INSLAN25", "mySQL-Datenbank");
define("INSLAN26", "Tabellen-Prfix");
define("INSLAN27", "Fehler");
define("INSLAN28", "Fehler aufgetreten");
define("INSLAN29", "Sie haben bentigte Felder frei gelassen - bitte geben Sie die mySQL-Informationen erneut ein.");
define("INSLAN30", "e107 konnte mit den von Ihnen angegebenen Daten keine Verbindung zu mySQL herstellen.<br />Bitte kehren Sie zur letzten Seite zurck ud vergewissern Sie sich, dass die Daten korrekt sind.");
define("INSLAN31", "mySQL-Prfung");
define("INSLAN32", "Verbindung zu mySQL wurde hergestellt und berprft.");
define("INSLAN33", "Versuche Datenbank anzulegen");
define("INSLAN34", "Datenbank konnte nicht angelegt werden. Bitte vergewissern Sie sich,<br />dass Sie ausreichende Rechte zum Erstellen von Datenbanken auf Ihrem Server haben.");
define("INSLAN35", "Datenbank erfolgreich angelegt.");
define("INSLAN36", "Bitte klicken Sie auf den Knopf, um mit der Installation fortzufahren.");


define("INSLAN37", "zurck zur letzten Seite");
define("INSLAN38", "Administrator Informationen");
define("INSLAN39", "Bitte geben Sie fr den Haupt-Administrator (main administrator) einen Benutzernamen, ein Passwort <br />und eine Email-Adresse an. Diese Angaben werden dazu verwendet, Zugriff auf den Administrations-Bereich<br />Ihrer Website zu gewhren. Bitte bewahren Sie Benutzername und Passwort an einem sicheren Ort auf, da Sie<br />bei Verlust nicht wiederhergestellt werden knnen.");
define("INSLAN40", "Admin Benutzername");
define("INSLAN41", "Admin Passwort");
define("INSLAN42", "Passwort wiederholen");
define("INSLAN43", "Admin Email-Adresse");
define("INSLAN44", "Sie haben bentigte Felder frei gelassen - bitte geben Sie die Administrator-Informationen erneut ein.");
define("INSLAN45", "Die beiden Passwort-Eingaben stimmen nicht berein - bitte erneut eingeben.");
define("INSLAN46", "scheint keine gltige Email-Adresse zu sein - bitte erneut eingeben.");
define("INSLAN47", "Alles gesetzt!");
define("INSLAN48", "e107 hat nun alle Informationen zum Fertigstellen der Installation gesammelt.<br />Bitte klicken Sie auf den Knopf, um die Datenbank-Tabellen anzulegen und Ihre Einstellungen zu speichern.");
define("INSLAN49", "e107 konnte die Haupt-Konfigurations-Datei nicht auf Ihrem Server speichern.<br />Bitte vergewissern Sie sich, dass die Datei <b>e107_config.php</b> die richtigen Berechtigungen besitzt.");
define("INSLAN50", "Installation fertiggestellt!");
define("INSLAN51", "Alles erledigt");
define("INSLAN52", "e107 wurde erfolgreich installiert!<br />Aus Sicherheitsgrunden sollten Sie jetzt die Berechtigungen der Datei <br /><b>e107_config.php</b> zurck auf <i>644</i> setzen.<br />Bitte lschen Sie auch die Datei <b>/install.php</b> von Ihrem Server, nachdem Sie den Knopf unten geklickt haben.");
define("INSLAN53", "Klicken Sie hier, um zu Ihrer neuen Website zu gelangen!");
define("INSLAN54", "Konnte SQL datafile nicht lesen<br /><br />Bitte vergewissern Sie sich, dass die Datei <b>core_sql.php</b> im Verzeichnis <b>/e107_admin/sql</b> existiert.");
define("INSLAN55", "e107 konnte nicht alle bentigten Datenbank-Tabellen anlegen.<br />Bitte leeren Sie die Datenbank und beheben Sie alle Probleme bevor Sie es erneut versuchen.");
define("INSLAN56", "Willkommen auf Ihrer neuen Website!");

define("INSLAN57", "e107 wurde erfolgreich installiert und ist nun bereit, Inhalte aufzunehmen.<br />Ihr Administrations-Bereich befindet sich <a href='e107_admin/admin.php'>hier</a>. Zum einloggen mssen Sie Benutzernamen und Passwort verwenden, die Sie whrend der Installation angegeben haben.");
define("INSLAN58", "FAQ und Dokumentation finden Sie hier.");
define("INSLAN59", "Danke, dass Sie e107 ausprobieren, wir hoffen, dass es den Anforderungen Ihrer Website gerecht wird.\n(Diese Nachricht knnen Sie im Admin-Bereich lschen.)");
define("INSLAN60", "neu anlegen");
define("INSLAN61", "Verzeichnis");
define("INSLAN62", "oder");
define("INSLAN63", "Fehler bei Datei-Berechtigungen");
define("INSLAN64", "Diese Datei wurde vom Installations-Skript erstellt.");

?>
